
#include "xpm.h"	/* CPMIO header file for i/o operations.*/
#include "megen.h"	/* general defines		*/
#include "meglob.h"	/* global variable definitions	*/
#include "mefiles.h"	/* file names			*/

#include "ctype.h"


go_os(i)
int i;	/* if 0, no cpminfo shown, else shown for novice users */
{
  if (i && !(user.flags&EXPERT)) type(CPMINFO);
  *tout=user.type_ptr->timeout;
  *maxuser=user.type_ptr->maxuser;
  *maxdrive=user.type_ptr->maxdrive+1;
  if (O.ZCPR) if (user.type_ptr->privflags & ZCPRFLAG)
		{
		if (O.ZCPR!=3) *O.SECURELOC=255;
		 else *(z3env->wheel)=255;
		}

#ifndef MULTI_USER
  *(char *)0=0xc3;	/* avoids caller logout for BYE */
#endif

  sprintf(buffer,"\nYou have access thru user %d.\n\n\[Entering OS]",(int)(*maxuser));
  send(buffer);
  if (strcmp(OS,OSCOM)) link_prog(OS);
  exit(0);
}

